<?php

use Illuminate\Support\Facades\Route;
use Plugin\UserOnlineDevices\Controllers\UserOnlineDevicesController;

Route::group([
    'prefix' => 'user-online-devices',
], function () {
    Route::get('/panel/{user}', [UserOnlineDevicesController::class, 'panel'])
        ->whereNumber('user')
        ->middleware('signed')
        ->name('user-online-devices.panel');

    Route::get('/snapshot/{user}', [UserOnlineDevicesController::class, 'snapshot'])
        ->whereNumber('user')
        ->middleware('signed')
        ->name('user-online-devices.snapshot');
});
